All Objects| Statics| Objects| KJSEmbed Objects| Qt Objects| KDE Objects| Exceptions| Uncreatable Objects

# NetAccess

Bindings for the NetAccess class.

## Properties

None

## Methods

child(...)
childCount(...)
children(...)
className(...)
connect(...)
copy(...)
createTempFile(...)
del(...)
deleteLater(...)
dircopy(...)
disconnect(...)
download(...)
exists(...)
fish_execute(...)
getAttribute(...)
getElementById(...)
getParentNode(...)
hasAttribute(...)
isWidgetType(...)
lastErrorString(...)
mimetype(...)
move(...)
parent(...)
properties(...)
propertiesDialog(...)
removeTempFile(...)
setAttribute(...)
signals(...)
slots(...)
superClassName(...)
upload(...)

## Qt Properties

Type | Name | Value
--- | --- | ---
QCString | name | unnamed

## Qt Signals

destroyed()
destroyed(QObject*)

## Qt Slots

void | cleanupEventFilter(QObject*)
bool | copy(const KURL&,const KURL&)
QString | createTempFile(const QString&,const QString&,uint)
bool | del(const KURL&)
void | deleteLater()
bool | dircopy(const KURL&,const KURL&)
bool | download(const KURL&,const QString&)
bool | exists(const KURL&,bool)
QString | fish_execute(const KURL&,const QString&)
QString | lastErrorString()
QString | mimetype(const KURL&)
bool | move(const KURL&,const KURL&)
int | propertiesDialog(const KURL&)
void | removeTempFile(const QString&)
bool | upload(const QString&,const KURL&)